textures/sgc/light
{
    q3map_surfacelight 500
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
    }
    {
        map textures/sgc/light.tga
    }
}

textures/sgc/light2
{
    q3map_surfacelight 500
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
    }
    {
        map textures/sgc/light2.tga
    }
}

textures/sgc/light3
{
    q3map_surfacelight 500
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
    }
    {
        map textures/sgc/light3.tga
    }
}

textures/sgc/light4
{
    q3map_surfacelight 6000
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
    }
    light 0.5
    {
        map textures/sgc/light4.tga
    }
}

textures/sgc/light4_025
{
    qer_editorimage textures/sgc/light4.tga
    q3map_surfacelight 3000
    light 0.25
    {
        map textures/sgc/light4.tga
    }
}

textures/sgc/exit
{
    q3map_surfacelight 3000
    light 0.75
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
    }
    {
        map textures/sgc/exit.tga
    }
}

textures/sgc/blue2_metal
{
    qer_editorimage textures/sgc/blue2.tga
    surfaceparm metalsteps
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/sgc/blue2.tga
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
}

textures/sgc/bluenoise_metal
{
    qer_editorimage textures/sgc/bluenoise.tga
    surfaceparm metalsteps
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/sgc/bluenoise.tga
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
}

textures/sgc/Ramp
{
    qer_editorimage textures/sgc/Ramp.jpg
    surfaceparm metalsteps
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/sgc/Ramp.jpg
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
}

textures/sgc/starchart
{
    qer_editorimage textures/sgc/starchart.tga
    surfaceparm trans
    cull back
    {
        map textures/sgc/starchart.tga
        alphaFunc GE128
        blendFunc GL_ONE GL_ONE
        depthWrite
        rgbGen identity
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
        depthFunc equal
        rgbGen identity
    }
}

textures/sgc/monitor6
{
    surfaceparm pointlight
    {
        map textures/sgc/gleam.tga
        rgbGen identity
        map $lightmap
        tcGen environment
        tcMod scale 3 3
    }
    {
        map textures/sgc/monitor6.tga
        blendFunc GL_ONE GL_SRC_ALPHA
        rgbGen vertex
    }
    {
        map textures/sgc/monitor.tga
        alphaFunc GE128
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        rgbGen vertex
    }
}

textures/sgc/monitor5
{
    surfaceparm pointlight
    {
        map textures/sgc/gleam.tga
        rgbGen identity
        map $lightmap
        tcGen environment
        tcMod scale 3 3
    }
    {
        map textures/sgc/monitor5.tga
        blendFunc GL_ONE GL_SRC_ALPHA
        rgbGen vertex
    }
    {
        map textures/sgc/monitor.tga
        alphaFunc GE128
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        rgbGen vertex
    }
}

textures/sgc/monitor4
{
    surfaceparm pointlight
    {
        map textures/sgc/gleam.tga
        rgbGen identity
        map $lightmap
        tcGen environment
        tcMod scale 3 3
    }
    {
        map textures/sgc/monitor4.tga
        blendFunc GL_ONE GL_SRC_ALPHA
        rgbGen vertex
    }
    {
        map textures/sgc/monitor.tga
        alphaFunc GE128
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        rgbGen vertex
    }
}

textures/sgc/monitor3
{
    surfaceparm pointlight
    {
        map textures/sgc/gleam.tga
        rgbGen identity
        map $lightmap
        tcGen environment
        tcMod scale 3 3
    }
    {
        map textures/sgc/monitor3.tga
        blendFunc GL_ONE GL_SRC_ALPHA
        rgbGen vertex
    }
    {
        map textures/sgc/monitor.tga
        alphaFunc GE128
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        rgbGen vertex
    }
}

textures/sgc/monitor2
{
    surfaceparm pointlight
    {
        map textures/sgc/gleam.tga
        rgbGen identity
        map $lightmap
        tcGen environment
        tcMod scale 3 3
    }
    {
        map textures/sgc/monitor2.tga
        blendFunc GL_ONE GL_SRC_ALPHA
        rgbGen vertex
    }
    {
        map textures/sgc/monitor.tga
        alphaFunc GE128
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        rgbGen vertex
    }
}

textures/sgc/table
{
    {
        map textures/sgc/gleam.tga
        blendFunc GL_ONE GL_ZERO
        rgbGen identity
        tcGen environment
        tcMod scale 3 3
    }
    {
        map textures/sgc/table.tga
        blendFunc GL_ONE GL_SRC_ALPHA
        rgbGen vertex
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/sgc/table2
{
    {
        map textures/sgc/gleam.tga
        blendFunc GL_ONE GL_ZERO
        rgbGen identity
        tcGen environment
        tcMod scale 3 3
    }
    {
        map textures/sgc/table2.tga
        blendFunc GL_ONE GL_SRC_ALPHA
        rgbGen vertex
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/sgc/marble
{
    {
        map textures/sgc/gleam3.tga
        blendFunc GL_ONE GL_ZERO
        rgbGen identity
        tcGen environment
        tcMod scale 3 3
    }
    {
        map textures/sgc/marble.tga
        blendFunc GL_ONE GL_SRC_ALPHA
        rgbGen vertex
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/sgc/lightglass
{
    qer_editorimage textures/sgc/lightglass.jpg
    surfaceparm trans
    qer_trans 0.5
    tessSize 48
    {
        map textures/sgc/lightglass.jpg
        blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
    }
    {
        map textures/sgc/lightglass.jpg
        blendFunc GL_ONE GL_ONE
        tcGen environment
    }
}

textures/sgc/rails
{
    qer_editorimage textures/sgc/rails.tga
    surfaceparm metalsteps
    surfaceparm playerclip
    surfaceparm trans
    surfaceparm pointlight
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
    }
    {
        map textures/sgc/rails.tga
        alphaFunc GE128
        blendFunc GL_ONE GL_ZERO
        depthWrite
        rgbGen vertex
    }
    {
        map textures/detail/sheetflake_lowcontrast.tga
        blendFunc GL_DST_COLOR GL_SRC_COLOR
        depthFunc equal
        detail
        rgbGen identity
        tcMod scale 12 12
    }
}

textures/sgc/earthsky
{
    qer_editorimage env/sgc/berg2_ft.tga
    q3map_surfacelight 20
    q3map_globaltexture
    surfaceparm noimpact
    surfaceparm sky
    q3map_sun 1 1 1 300 290 50
    skyParms env/sgc/berg2 128 -
}

textures/sgc/earthsky2
{
    qer_editorimage env/sgc/berg2_ft.tga
    q3map_surfacelight 100
    q3map_globaltexture
    surfaceparm noimpact
    surfaceparm sky
    q3map_sun 1 1 1 300 140 70
    skyParms env/sgc/berg2 128 -
}

textures/sgc/redlightglass
{
    {
        map textures/sgc/gleam3.tga
        blendFunc GL_ONE GL_ZERO
        rgbGen identity
        tcGen environment
        tcMod scale 3 3
    }
    {
        map textures/sgc/redlightglass.tga
        blendFunc GL_ONE GL_SRC_ALPHA
        rgbGen vertex
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/sgc/BlueLine
{
    {
        map textures/sgc/gleam3.tga
        blendFunc GL_ONE GL_ZERO
        rgbGen identity
        tcGen environment
        tcMod scale 3 3
    }
    {
        map textures/sgc/BlueLine.jpg
        blendFunc GL_ONE GL_SRC_ALPHA
        rgbGen vertex
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/sgc/GreenLine
{
    {
        map textures/sgc/gleam3.tga
        blendFunc GL_ONE GL_ZERO
        rgbGen identity
        tcGen environment
        tcMod scale 3 3
    }
    {
        map textures/sgc/GreenLine.jpg
        blendFunc GL_ONE GL_SRC_ALPHA
        rgbGen vertex
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/sgc/RedLine.jpg
{
    {
        map textures/sgc/gleam3.tga
        blendFunc GL_ONE GL_ZERO
        rgbGen identity
        tcGen environment
        tcMod scale 3 3
    }
    {
        map textures/sgc/RedLine.jpg
        blendFunc GL_ONE GL_SRC_ALPHA
        rgbGen vertex
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/sgc/Floor2.jpg
{
    {
        map textures/sgc/gleam3.tga
        blendFunc GL_ONE GL_ZERO
        rgbGen identity
        tcGen environment
        tcMod scale 3 3
    }
    {
        map textures/sgc/Floor2.jpg
        blendFunc GL_ONE GL_SRC_ALPHA
        rgbGen vertex
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/sgc/F_lights.jpg
{
    {
        map textures/sgc/gleam3.tga
        blendFunc GL_ONE GL_ZERO
        rgbGen identity
        tcGen environment
        tcMod scale 3 3
    }
    {
        map textures/sgc/F_lights.jpg
        blendFunc GL_ONE GL_SRC_ALPHA
        rgbGen vertex
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
    }
}